
get_regrid_params <- function(recipe, archive){

  exp.name <- recipe$Analysis$Datasets$System$name
  ref.name <- recipe$Analysis$Datasets$Reference$name
  exp_descrip <- archive[[exp.name]]
  reference_descrip <- archive[[ref.name]]

  if (tolower(recipe$Analysis$Regrid$type) == 'to_reference') {

    regrid_params <- list(fcst.gridtype=reference_descrip$reference_grid,
                          fcst.gridmethod=recipe$Analysis$Regrid$method,
                          fcst.transform=CDORemapper,
                          obs.gridtype=NULL,
                          obs.gridmethod=NULL,
                          obs.transform=NULL)

  } else if (tolower(recipe$Analysis$Regrid$type) == 'to_system') {

    regrid_params <- list(fcst.gridtype=NULL,
                          fcst.gridmethod=NULL,
                          fcst.transform=NULL,
                          obs.gridtype=exp_descrip$reference_grid,
                          obs.gridmethod=recipe$Analysis$Regrid$method,
                          obs.transform=CDORemapper)

  } ##TODO: Else condition? middle interpolation?

  return(regrid_params)

}


